petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPComputeEigenvaluesExplicitly

Computes all of the eigenvalues of the preconditioned operator using LAPACK.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPComputeEigenvaluesExplicitly(KSP ksp,PetscInt nmax,PetscReal r[],PetscReal c[])

Collective on KSP Many br

### Input Parameter

| ksp | - iterative context obtained from KSPCreate() Many br
| n | - size of arrays r and c Many br

### Output Parameters

| r | - real part of computed eigenvalues, provided by user with a dimension at least of n Many br
| c | - complex part of computed eigenvalues, provided by user with a dimension at least of n Many br

### Notes

This approach is very slow but will generally provide accurate eigenvalue Many brestimates. This routine explicitly forms a dense matrix representing Many brthe preconditioned operator, and thus will run only for relatively small Many brproblems, say n < 500. Many br

Many users may just want to use the monitoring routine Many brKSPMonitorSingularValue() (which can be set with option -ksp_monitor_singular_value) Many brto print the singular values at each iteration of the linear solve. Many br

The preconditoner operator, rhs vector, solution vectors should be Many brset before this routine is called. i.e use KSPSetOperators(),KSPSolve() or Many brKSPSetOperators() Many br

Many br

### Keywords

KSP, compute, eigenvalues, explicitly

### See Also

KSPComputeEigenvalues(), KSPMonitorSingularValue(), KSPComputeExtremeSingularValues(), KSPSetOperators(), KSPSolve()

Level:advanced
Location:src/ksp/ksp/interface/eige.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages